<!---
/* *********************************************************************** */
Author:
	PaperThin, Inc.
	G. Cronkright
Name:
	calendar_display_controller_rh.cfm
Summary:
	The calendar display controller handles of the calendar diplay view
	render handlers based on the desired view
History:
	2012-10-16 - GAC - Created
--->
<cfscript>
	// This script MUST remain dynamic since this data and the included data is modified with a URL parameters
	request.element.isStatic = 0;
	
	// Get the calendar view query parameter name from the config
	viewParamName = application.ptCalendar.viewParamName;
	
	request.ptCalendar.view = application.ptCalendar.defaultView;
	if ( StructKeyExists(request.params,viewParamName) ) 
		request.ptCalendar.view = TRIM(request.params[viewParamName]);	

	// Get the Display view Render Handler Path Structure
	rhFilePathData = application.ptCalendar.viewRHfilePaths;
	
	// Get the Display View Render Handler Path from the selected view (use the default if none has been selected);
	rhCalendarViewFilePath = "";
	if ( StructKeyExists(rhFilePathData,request.ptCalendar.view) )
		rhCalendarViewFilePath = rhFilePathData[request.ptCalendar.view];
</cfscript>

<!--- // Include the RH file, if a valid path for the provided view --->
<cfif LEN(TRIM(rhCalendarViewFilePath))>
	<cfinclude template="#rhCalendarViewFilePath#">
<cfelse>
	<cfoutput><div><strong>The selected calendar display view could not be found!</strong></div></cfoutput>
</cfif>