<!--- 
The contents of this file are subject to the Mozilla Public License Version 1.1
(the "License"); you may not use this file except in compliance with the
License. You may obtain a copy of the License at http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
the specific language governing rights and limitations under the License.

The Original Code is comprised of the PT Calendar directory

The Initial Developer of the Original Code is
PaperThin, Inc. Copyright(C) 2012.
All Rights Reserved.

By downloading, modifying, distributing, using and/or accessing any files 
in this directory, you agree to the terms and conditions of the applicable 
end user license agreement.
--->
<!---
/* *************************************************************** */
Author: 	
	PaperThin Inc.
	G. Cronkright
Name:
	calendar_display_month_grid_rh.cfm
Summary:
	Render Handler to render out the calendar month list view
ADF App:
	pt_calendar
Version:
	3.0.0
History:
	2011-07-14 - GAC - Created
--->
<cfscript>
	// This script MUST remain dynamic since the data and the generated HTML is modified with a URL parameters
	request.element.isStatic = 0;
	
	// Get the Configuration and Page Map Values
	appConfig = application.ptCalendar.getAppConfig();
	
	// Set the Event Cache status from the configuration element
	useEventsCache = application.ptCalendar.getEventCacheStatus();
		
	// Get the items from the Display Properties Custom Element
	items = attributes.elementInfo.elementData.propertyValues;

	/* ** ptCalendar getRenderEventsData SETTINGS *** */
	//  -- THESE MUST ME INCLUDED AT THE TOP OF THE ptCalendar GRID/LIST RenderHandlers (before getRenderEventData)
	// - ptCalendar Date Range designation 
	viewRangeType = "Month";  // (Month/Week/Day)
	viewDisplayType = "Grid"; // (Small/Grid/List)
	
	// - ptCalendar EventsCache designation (generally this will be true. May need to set to false for debugging)
	// useEventsCache = false; // (true/false) - Use this as an override for the Global setting that is managed via the Configuration element
	
	/* ** getRenderEventsData SETTINGS *** */
	// ptCalendar date and data processing the calendar renderhandler return as CF query object
	//  -- THIS MUST BE INCLUDED AT THE TOP OF THE ptCalendar GRID/LIST RenderHandlers (after the getRenderEventData Settings)
	eventData = application.ptCalendar.calRenderController.getRenderEventData(
																	displayPropsArray=items
																	,viewRangeType=viewRangeType
																	,useEventsCache=useEventsCache
																);
	
//application.ptCalendar.utils.doDump(eventData,"eventData",0);
</cfscript>

<cfoutput>
	<!--- // Render the Calendar View --->
	#application.ptCalendar.calRenderController.createCalendar(
													rangeType=viewRangeType
													,displayType=viewDisplayType
													,calendarData=eventData
													,eventField="eventDate"
													,curYear=request.ptCalendar.thisYear
													,curMonth=request.ptCalendar.thisMonth
													,curDay=request.ptCalendar.thisDay
												)#
</cfoutput>